org.apache.solr.spelling.suggest

## Interface SuggesterParams

- All Known Implementing Classes:
    SuggestComponent

      public interface SuggesterParams

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SUGGEST_ALL_TERMS_REQUIRED` Whether all terms are required or not
    `static String` | `SUGGEST_BUILD` Whether to build the index or not.
    `static String` | `SUGGEST_BUILD_ALL` Whether to build the index or not for all suggesters in the component.
    `static String` | `SUGGEST_CONTEXT_FILTER_QUERY` contextFilterQuery to use for filtering the result of the suggestion
    `static String` | `SUGGEST_COUNT` The count of suggestions to return for each query term not in the index and/or dictionary.
    `static String` | `SUGGEST_DICT` The name of the dictionary to be used for giving the suggestion for a request.
    `static String` | `SUGGEST_HIGHLIGHT` Whether keyword should be highlighted in result or not
    `static String` | `SUGGEST_PREFIX`
    `static String` | `SUGGEST_Q` Use the value for this parameter as the query to spell check.
    `static String` | `SUGGEST_RELOAD` Whether to reload the index.
    `static String` | `SUGGEST_RELOAD_ALL` Whether to reload the index or not for all suggesters in the component.

- - ### Field Detail

    - #### SUGGEST_PREFIX

          static final String SUGGEST_PREFIX

      See Also:
        Constant Field Values

    - #### SUGGEST_DICT

          static final String SUGGEST_DICT

      The name of the dictionary to be used for giving the suggestion for a request. The value for this parameter is configured in solrconfig.xml
      See Also:
        Constant Field Values

    - #### SUGGEST_COUNT

          static final String SUGGEST_COUNT

      The count of suggestions to return for each query term not in the index and/or dictionary.

      If this parameter is absent in the request then only one suggestion is returned. If it is more than one then a maximum of given suggestions are returned for each token in the query.

      See Also:
        Constant Field Values

    - #### SUGGEST_Q

          static final String SUGGEST_Q

      Use the value for this parameter as the query to spell check.

      This parameter is optional. If absent, then the q parameter is used.

      See Also:
        Constant Field Values

    - #### SUGGEST_BUILD

          static final String SUGGEST_BUILD

      Whether to build the index or not. Optional and false by default.
      See Also:
        Constant Field Values

    - #### SUGGEST_BUILD_ALL

          static final String SUGGEST_BUILD_ALL

      Whether to build the index or not for all suggesters in the component. Optional and false by default. This parameter does not need any suggest dictionary names to be specified
      See Also:
        Constant Field Values

    - #### SUGGEST_RELOAD

          static final String SUGGEST_RELOAD

      Whether to reload the index. Optional and false by default.
      See Also:
        Constant Field Values

    - #### SUGGEST_RELOAD_ALL

          static final String SUGGEST_RELOAD_ALL

      Whether to reload the index or not for all suggesters in the component. Optional and false by default. This parameter does not need any suggest dictionary names to be specified
      See Also:
        Constant Field Values

    - #### SUGGEST_CONTEXT_FILTER_QUERY

          static final String SUGGEST_CONTEXT_FILTER_QUERY

      contextFilterQuery to use for filtering the result of the suggestion
      See Also:
        Constant Field Values

    - #### SUGGEST_HIGHLIGHT

          static final String SUGGEST_HIGHLIGHT

      Whether keyword should be highlighted in result or not
      See Also:
        Constant Field Values

    - #### SUGGEST_ALL_TERMS_REQUIRED

          static final String SUGGEST_ALL_TERMS_REQUIRED

      Whether all terms are required or not
      See Also:
        Constant Field Values

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.